Skip to main content
GET
/
markets
/
{id}
/
prices-v2
Fetch market prices
curl --request GET \
  --url https://sandbox.api.btdx.io/markets/{id}/prices-v2 \
  --header 'authorization: <authorization>'
{
  "_meta": {
    "_count": 123,
    "_page": {
      "_pageNumber": 123,
      "_pageSize": 123,
      "_totalElements": 123,
      "_totalPages": 123
    }
  },
  "prices": [
    {
      "marketId": "<string>",
      "liquidity": 123,
      "traded": 123,
      "prices": [
        {
          "outcomeId": "<string>",
          "price": 123,
          "amount": 123,
          "matched": 123
        }
      ]
    }
  ]
}

Headers

authorization
string
required

Header with the accessToken for the current session

Path Parameters

id
string
required

market id

Response

OK

_meta
object
prices
object[]